HTMLTagBalancer.InfoStack (NekoHTML 1.9.14 Implementation)
Date: 2010-02-02

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.cyberneko.html
Class HTMLTagBalancer.InfoStack

    java.lang.Object
      org.cyberneko.html.HTMLTagBalancer.InfoStack

Enclosing class:
  HTMLTagBalancer

    public static class HTMLTagBalancer.InfoStack

extends java.lang.Object

Unsynchronized stack of element information.

Field Summary
`HTMLTagBalancer.Info[]` | `data` The stack data.
`int` | `top` The top of the stack.

Constructor Summary
`HTMLTagBalancer.InfoStack()`

Method Summary
`HTMLTagBalancer.Info` | `peek()` Peeks at the top of the stack.
`HTMLTagBalancer.Info` | `pop()` Pops the top item off of the stack.
`void` | `push(HTMLTagBalancer.Info info)` Pushes element information onto the stack.
`java.lang.String` | `toString()` Simple representation to make debugging easier

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### top

    public int top

  The top of the stack.

### data

    public HTMLTagBalancer.Info[] data

  The stack data.

Constructor Detail

### HTMLTagBalancer.InfoStack

    public HTMLTagBalancer.InfoStack()

Method Detail

### push

    public void push(HTMLTagBalancer.Info info)

  Pushes element information onto the stack.

### peek

    public HTMLTagBalancer.Info peek()

  Peeks at the top of the stack.

### pop

    public HTMLTagBalancer.Info pop()

  Pops the top item off of the stack.

### toString

    public java.lang.String toString()

  Simple representation to make debugging easier

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright 2002-2008, Andy Clark, Marc Guillemot. All rights reserved.